Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.ls
Interface DOMImplementationLS

public interface DOMImplementationLS

DOM Level 3 WD Experimental: The DOM Level 3 specification is at the stage of Working Draft, which represents work in progress and thus may be updated, replaced, or obsoleted by other documents at any time.

`DOMImplementationLS` contains the factory methods for creating objects that implement the `DOMBuilder` (parser) and `DOMWriter` (serializer) interfaces.

The expectation is that an instance of the `DOMImplementationLS` interface can be obtained by using binding-specific casting methods on an instance of the `DOMImplementation` interface or, if the `Document` supports the feature `"Core"` version `"3.0"` defined in , by using the method `Node.getInterface` with parameter values `"LS-Load"` and `"3.0"` (respectively).

See also the Document Object Model (DOM) Level 3 Load and Save Specification.

Field Summary
`static short` | `MODE_ASYNCHRONOUS` Create an asynchronous `DOMBuilder`.
`static short` | `MODE_SYNCHRONOUS` Create a synchronous `DOMBuilder`.

Method Summary
`DOMBuilder` | `createDOMBuilder(short mode, java.lang.String schemaType)` Create a new `DOMBuilder`.
`DOMInputSource` | `createDOMInputSource()` Create a new "empty" `DOMInputSource`.
`DOMWriter` | `createDOMWriter()` Create a new `DOMWriter` object.

Field Detail

### MODE_SYNCHRONOUS

    public static final short MODE_SYNCHRONOUS

  Create a synchronous `DOMBuilder`.

### MODE_ASYNCHRONOUS

    public static final short MODE_ASYNCHRONOUS

  Create an asynchronous `DOMBuilder`.

Method Detail

### createDOMBuilder

    public DOMBuilder createDOMBuilder(short mode,
                                       java.lang.String schemaType)
                                throws DOMException

  Create a new `DOMBuilder`. The newly constructed parser may then be configured by means of its `setFeature` method, and used to parse documents by means of its `parse` method.
  Parameters:
    `mode` - The `mode` argument is either `MODE_SYNCHRONOUS` or `MODE_ASYNCHRONOUS`, if `mode` is `MODE_SYNCHRONOUS` then the `DOMBuilder` that is created will operate in synchronous mode, if it's `MODE_ASYNCHRONOUS` then the `DOMBuilder` that is created will operate in asynchronous mode.
    `schemaType` - An absolute URI representing the type of the schema language used during the load of a `Document` using the newly created `DOMBuilder`. Note that no lexical checking is done on the absolute URI. In order to create a `DOMBuilder` for any kind of schema types (i.e. the DOMBuilder will be free to use any schema found), use the value `null`. For W3C XML Schema , applications must use the value `"http://www.w3.org/2001/XMLSchema"`. For XML DTD , applications must use the value `"http://www.w3.org/TR/REC-xml"`. Other Schema languages are outside the scope of the W3C and therefore should recommend an absolute URI in order to use this method.
  Returns:
    The newly created `DOMBuilder` object. This `DOMBuilder` is either synchronous or asynchronous depending on the value of the `mode` argument. By default, the newly created `DOMBuilder` does not contain a `DOMErrorHandler`, i.e. the value of the `errorHandler` is `null`. However, implementations may provide a default error handler at creation time. In that case, the initial value of the `errorHandler` attribute on the new created `DOMBuilder` contains a reference to the default error handler.
  Throws:
    `DOMException` - NOT_SUPPORTED_ERR: Raised if the requested mode or schema type is not supported.

### createDOMWriter

    public DOMWriter createDOMWriter()

  Create a new `DOMWriter` object. `DOMWriter`s are used to serialize a DOM tree back into an XML document.
  Returns:
    The newly created `DOMWriter` object. By default, the newly created `DOMWriter` does not contain a `DOMErrorHandler`, i.e. the value of the `errorHandler` is `null`. However, implementations may provide a default error handler at creation time. In that case, the initial value of the `errorHandler` attribute on the new created `DOMWriter` contains a reference to the default error handler.

### createDOMInputSource

    public DOMInputSource createDOMInputSource()

  Create a new "empty" `DOMInputSource`.
  Returns:
    The newly created `DOMInputSource` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.